from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SnapObjectType(IntEnum):
    POINT = auto()
    VERTICAL = auto()
    HORIZONTAL = auto()
